=== debian/changelog ===
cherrytree (1.6.2+dfsg-0.1~mx25+1) mx; urgency=medium

  * New upstream version 1.6.2+dfsg

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Oct 2025 15:18:28 -0700
