=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Patrick Winnertz <winnie@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               desktop-file-utils,
               gettext,
               libcpputest-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libfribidi-dev,
               libgspell-1-dev,
               libgtkmm-3.0-dev,
               libgtksourceview-4-dev,
               libspdlog-dev,
               libsqlite3-dev,
               libuchardet-dev,
               libvte-2.91-dev,
               libxml++2.6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.2
Homepage: https://www.giuspen.net/cherrytree/
Vcs-Git: https://salsa.debian.org/debian/cherrytree.git
Vcs-Browser: https://salsa.debian.org/debian/cherrytree
Rules-Requires-Root: no

Package: cherrytree
Architecture: any
Depends: desktop-file-utils, ${misc:Depends}, ${shlibs:Depends}
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.
